Subject: bug#38317: Buffer-local variables don't work as history for read-from-minibuffer

From: Federico Tedin <[email-masked]>
Date: Wed, 27 Nov 2019 22:04:31 +0100

Eli Zaretskii <[email-masked]> writes:
> That section does mention the history variables, and even includes a
> list of them.  So I'm not sure why you say it doesn't.

You're right, I was looking at the Emacs manual instead of the Elisp
manual (the sections have the same title). I can see that the Elisp manual is
more specific about the history list variable. I could mention the
possibility of using a buffer-local variable there.

> That it adds to the history is worth mentioning, but the fact that it
> can be buffer-local we don't normally say explicitly, because it's
> expected to "just work".

Ok, thanks.